All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class Splash

    com.sas.visuals.Splash

All Implemented Interfaces:
  java.lang.Runnable

    public class Splash

implements java.lang.Runnable

Constructor Summary
`Splash(java.awt.Container container, java.awt.Image image)`
`Splash(java.awt.Container container, java.awt.Image image, int minMilliSeconds, int maxMilliSeconds)`
`Splash(java.awt.Container container, java.lang.String imageName)`
`Splash(java.awt.Container container, java.lang.String imageName, int minMilliSeconds, int maxMilliSeconds)`

Method Summary
`protected void` | `createSplash(java.awt.Frame frame)`
`void` | `dispose()`
`protected boolean` | `loadImage(java.lang.String imageName)`
`void` | `repaint()`
`void` | `run()`
`void` | `setComplete(boolean value)`
`void` | `show()`
`void` | `start()`
`void` | `stop()`

Constructor Detail

### Splash

    public Splash(java.awt.Container container,
                  java.lang.String imageName,
                  int minMilliSeconds,
                  int maxMilliSeconds)

### Splash

    public Splash(java.awt.Container container,
                  java.lang.String imageName)

### Splash

    public Splash(java.awt.Container container,
                  java.awt.Image image,
                  int minMilliSeconds,
                  int maxMilliSeconds)

### Splash

    public Splash(java.awt.Container container,
                  java.awt.Image image)

Method Detail

### start

    public void start()

### stop

    public void stop()

### setComplete

    public void setComplete(boolean value)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### loadImage

    protected boolean loadImage(java.lang.String imageName)

### createSplash

    protected void createSplash(java.awt.Frame frame)

### dispose

    public void dispose()

### show

    public void show()

### repaint

    public void repaint()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.